#!/bin/sh
#
# xhost +localhost oder xhost +linux
# xhost + (access control disabled, clients can connect from any host)
# xhost - (access control enabled, only authorized clients can connect)
# http://squareness.sourceforge.net/tools/colorizer.html
# http://www.dcoul.de/infos/user2root.html
# http://supportforum.sun.com/sjds/index.php?t=msg&th=859&start=0&rid=0
# http://download-west.oracle.com/otn_hosted_doc/jdeveloper/904preview/uixhelp/uixdevguide/xserver.html
#
xhost +
HOME=`dirname "$0"`/..
LIBDIR=${HOME}/lib
THEMESDIR=${HOME}/themes
#echo "* HOME      = $HOME"
#echo "* LIBDIR    = $LIBDIR"
#echo "* THEMESDIR = $THEMESDIR"
java -cp ${LIBDIR}/colorizer.jar:${HOME}/resources:${LIBDIR}/squareness.jar:${LIBDIR}/forms_rt.jar:${LIBDIR}/swingx.jar -Dthemes.dir=${THEMESDIR} net.beeger.squareness.colorizer.Startup
xhost -
